MuleSoapHeadersHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.axis.extensions.MuleSoapHeadersHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis.extensions
Class MuleSoapHeadersHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.mule.transport.soap.axis.extensions.MuleSoapHeadersHandler

All Implemented Interfaces:
  Serializable, org.apache.axis.Handler

    public class MuleSoapHeadersHandler

extends org.apache.axis.handlers.BasicHandler

`MuleSoapHeadersHandler` is an Axis handler that can read and write Mule header properties to a SOAP message.

See Also:
  Serialized Form

Field Summary
`protected static Log` | `logger` logger used by this class

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`MuleSoapHeadersHandler()`

Method Summary
`void` | `invoke(org.apache.axis.MessageContext msgContext)`
`protected void` | `processClientRequest(org.apache.axis.MessageContext msgContext, boolean setMustUnderstand)` Method processClientRequest
`protected void` | `processClientResponse(org.apache.axis.MessageContext msgContext)` Method processClientResponse
`protected void` | `processServerRequest(org.apache.axis.MessageContext msgContext)` Method processServerRequest
`protected void` | `processServerResponse(org.apache.axis.MessageContext msgContext, boolean setMustUnderstand)` Method processServerResponse

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### MuleSoapHeadersHandler

    public MuleSoapHeadersHandler()

Method Detail

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### processClientRequest

    protected void processClientRequest(org.apache.axis.MessageContext msgContext,
                                        boolean setMustUnderstand)
                                 throws Exception

  Method processClientRequest

  Parameters:
    `msgContext` -
  Throws:
    `Exception`

### processClientResponse

    protected void processClientResponse(org.apache.axis.MessageContext msgContext)
                                  throws Exception

  Method processClientResponse

  Parameters:
    `msgContext` -
  Throws:
    `Exception`

### processServerRequest

    protected void processServerRequest(org.apache.axis.MessageContext msgContext)
                                 throws Exception

  Method processServerRequest

  Parameters:
    `msgContext` -
  Throws:
    `Exception`

### processServerResponse

    protected void processServerResponse(org.apache.axis.MessageContext msgContext,
                                         boolean setMustUnderstand)
                                  throws Exception

  Method processServerResponse

  Parameters:
    `msgContext` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.